%define upstream_name File-Tail
%define upstream_version 1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Summary:    File::Tail module for Perl
Group:      Development/Perl
Source0:    http://search.cpan.org/CPAN/authors/id/M/MG/MGRABNAR/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}/

Requires:   perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::stat)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Seekable)
BuildRequires: perl(Time::HiRes) >= 1.120.0
BuildRequires: perl-devel
BuildRequires: perl-Time-HiRes
BuildArch:  noarch

%description
This Perl modules allows to read from continously updated files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.300.0-4pclos2017
- rebuild against updates

